%global pypi_name xlrd

Name:           python-xlrd
Version:        2.0.1
Release:        %mkrel 6
Group:          Development/Python
Summary:        Library for developers to extract data from Microsoft Excel (tm) spreadsheet files
License:        BSD
Url:            https://www.python-excel.org/
Source0:        https://pypi.python.org/packages/source/x/xlrd/xlrd-%{version}.tar.gz
BuildArch:      noarch

%description
Extract data from Excel spreadsheets (.xls and .xlsx, versions 2.0 onwards) on
any platform. Pure Python (2.6, 2.7, 3.2+). Strong support for Excel dates.
Unicode-aware.

%package -n     python3-%{pypi_name}
Summary:        Library for developers to extract data from Microsoft Excel (tm) spreadsheet files
BuildRequires:  python3-devel
BuildRequires:  python3dist(tox)


%description -n python3-%{pypi_name}
Extract data from Excel spreadsheets (.xls and .xlsx, versions 2.0 onwards) on
any platform. Pure Python (2.6, 2.7, 3.2+). Strong support for Excel dates.
Unicode-aware.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xlrd
mv %{buildroot}%{_bindir}/runxlrd.py %{buildroot}/%{_bindir}/runxlrd-python3

%check
%tox
# {_bindir}/nosetests-%{python3_version}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/runxlrd-python3


%changelog
* Sun Mar 02 2025 wally <wally> 2.0.1-6.mga10
+ Revision: 2156341
- rebuild for python3.13

* Fri Dec 29 2023 papoteur <papoteur> 2.0.1-5.mga10
+ Revision: 2023999
- rebuild for python 3.12
- use pyproject macros

* Thu Mar 24 2022 umeabot <umeabot> 2.0.1-4.mga9
+ Revision: 1824755
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 joequant <joequant> 2.0.1-3.mga9
+ Revision: 1774688
- fix egg-info
- update to python 3.10

* Fri Mar 19 2021 neoclust <neoclust> 2.0.1-2.mga9
+ Revision: 1704932
- Rebuild against python 3.9

* Fri Dec 18 2020 joequant <joequant> 2.0.1-1.mga8
+ Revision: 1660583
- update to 2.0.1

* Sun Feb 16 2020 umeabot <umeabot> 1.2.0-3.mga8
+ Revision: 1532618
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.2.0-2.mga8
+ Revision: 1442532
- rebuild for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 1.2.0-1.mga7
+ Revision: 1394116
- new version 1.2.0

* Tue Jan 08 2019 tv <tv> 1.1.0-2.mga7
+ Revision: 1351845
- rebuild with python 3.7

* Tue Oct 30 2018 joequant <joequant> 1.1.0-1.mga7
+ Revision: 1326595
- add source
- upgrade to new python conventions

* Fri Sep 21 2018 umeabot <umeabot> 0.9.2-9.mga7
+ Revision: 1290579
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.9.2-8.mga7
+ Revision: 1135698
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.9.2-7.mga6
+ Revision: 970625
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.2-6.mga6
+ Revision: 739117
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.2-5.mga5
+ Revision: 730017
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.2-4.mga5
+ Revision: 688432
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.9.2-3.mga5
+ Revision: 629110
- Rebuild for new Python

* Wed Jan 08 2014 joequant <joequant> 0.9.2-2.mga4
+ Revision: 565567
- push to core/release

* Sat Jan 04 2014 joequant <joequant> 0.9.2-1.mga4
+ Revision: 564557
- imported package python-xlrd

